比尔云BierYun--阿里云最新优惠活动
阿里云优惠码丨阿里云代金券

阿里云ubuntu16.04安装ruby

阿里云ubuntu16.04安装ruby

 

0x0 准备

环境:阿里云ubuntu16.04

目的:安装beef需要的ruby环境

 

更新软件

sudo apt-get  update

sudo  apt-get  upgrade

sudo  apt-get  dist-upgrade

 

修改host,方便github

vim /etc/hosts

//先按i,切换模式

//将下面的内容复制进去

//完成后,按两下esc,输入:wq保存

//注意别漏了冒号

复制代码
192.30.253.113 github.com

192.30.253.113 github.com

 

192.30.253.118 gist.github.com

192.30.253.119 gist.github.com
复制代码

 

 

0x1 安装rvm

Rvm是ruby的版本管理器,阿里云ubuntu16.04的apt-get方式安装的ruby是2.3版本,很老,运行beef时会报错:不支持,升级至2.4以上

 

首先,使用gpg命令联系公钥服务器,并请求用于对每个RVM版本进行签名的RVM项目的密钥。这样可以验证您将下载的RVM版本的合法性。从您的主目录,执行以下命令:

gpg --keyserver hkp://keys.gnupg.net --recv-keys 409B6B1796C275462A1703113804BB82D39DC0E3 7D2BAF1CF37B13E2069D6956105BD0E739499BDB

 

 

使用curl下载RVM安装脚本,如果尚未安装curl,请先安装curl

sudo apt-get install curl

 

 

接下来,使用curl命令从项目的网站下载RVM安装脚本。 引导命令的反斜杠确保我们使用常规curl命令,而不是任何改变的别名版本。

\curl -sSL https://get.rvm.io -o rvm.sh

 

 

执行此命令来安装最新的RVM稳定版本,留意安装目录,我的是/usr/local/rvm:

cat rvm.sh | bash -s stable

下为提示

…

Installation of RVM in /usr/local/rvm/ is almost complete:

…

 

 

运行下面的命令,确保安装的是最新版本:

rvm get stable

 

检查安装Ruby的需求条件:

rvm requirements

 

 

//如果提示“command not found”,可以运行下面的命令:

source /usr/local/rvm/scripts/rvm

//注:因为我的电脑自动安装到此目录,所以用上面的路径,如果你的不是,切换到你的目录即可

//或者尝试

source ~/.rvm/scripts/rvm

 

 

检查是否安装成功:

rvm –v

 

 

0x2安装ruby

使用rvm命令安装最新版本的Ruby,此过程将下载并安装Ruby及其组件,并将此版本的Ruby作为系统将使用的默认版本。 如果您已经安装了一个版本的Ruby,这将避免冲突:

rvm install ruby –default

脚本完成后,将安装最新版本的Ruby。

除了Ruby之外,RVM还安装了一些相关工具,包括irb,交互式Ruby控制台,rake,可以运行自动化脚本的程序和gem,这样可以轻松地安装和更新您可能在自己的项目中使用的Ruby库。

 

要检查您安装的Ruby版本,请键入以下命令:

ruby –v

出现下面的信息

# ruby -v

ruby 2.6.0p0 (2018-12-25 revision 66547) [x86_64-linux]

 

参考资料:

https://www.linuxidc.com/Linux/2017-07/145553.htm

https://blog.csdn.net/god_wot/article/details/33014303

原文地址https://www.cnblogs.com/Rain99-/p/10666247.html

未经允许不得转载:阿里云代理商 » 阿里云ubuntu16.04安装ruby
分享到: 更多 (0)

评论 抢沙发

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址

强烈推荐

高性能SSD云服务器ECS抗攻击,高可用云数据库RDS